Bug 824990 - A federated broker may not reconnect to a remote cluster on link failure.
A federated broker may not reconnect to a remote cluster on link failure.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
2.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Ken Giusti
Messaging QE
:
Depends On:
Blocks: 698367
  Show dependency treegraph
 
Reported: 2012-05-24 14:35 EDT by Jason Dillaman
Modified: 2014-10-24 08:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: qpid-0.18
Doc Type: Bug Fix
Doc Text:
Cause: When a broker first joins a cluster, it queries the cluster for all known fail-over addresses known to the cluster. No further attempts are made by the broker to keep the list of fail-over addresses up to date. Consequence: Should the membership of the cluster change, new fail-over addresses are introduced. However, the broker will not be aware of these new fail-over addresses. Should the broker need to fail-over, the fail-over process may not work properly and the broker will not be able to remain in the cluster. Fix: The broker has been modified to constantly monitor for changes in the cluster's fail-over address list. Result: Should the set of valid fail-over addresses change after the broker has initially connected, the broker will be aware of these changes and should the broker need to perform fail-over it will succeed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-24 08:16:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-3963 None None None Never

  None (edit)
Description Jason Dillaman 2012-05-24 14:35:14 EDT
See https://issues.apache.org/jira/browse/QPID-3963
Comment 1 Ted Ross 2012-06-06 14:39:28 EDT
Fixed upstream, see Jira for commit details.
Comment 2 Justin Ross 2013-07-25 14:25:24 EDT
This fix is against the clustering code that went away before 0.22/3.0, so I'm nacking it for 3.0.

Note You need to log in before you can comment on or make changes to this bug.